# questa funzione, dato un file in input crea un dizionario
# con chiave i caratteri e valore la loro frequenza nel file 
def freqCaratDiz(file):
   f_in=open(file,encoding = 'utf-8')
   dizFreq={}
   for i in range(26):  
      dizFreq[chr(ord('a')+i)]=0  #crea un dizionario {'a':0, 'b':0, ...}     
   c=f_in.read(1).lower()    # legge il primo carattere del file e lo converte in minuscolo
   while c!='':           # il carattere vuoto in un file non c'è, solo quando il file finisce
      if 'a'<= c <='z':   # controlla che il carattere letto sia tra 'a' e 'z'
         # c.isalpha()
         dizFreq[c]+=1
      c=f_in.read(1).lower()  # legge il carattere successivo 
   return dizFreq 

f=freqCaratDiz("provaTesto.txt")

print(f)
